AWS Cloud Connectivity - Credentials - Update (PATCH)
This page documents the Update (PATCH) operation in the AWS Cloud Connectivity API. Use a valid JWT bearer token.
PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/credentials/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN
Parameters
| Parameter | In | Required | Type / default |
|---|---|---|---|
id | path | Yes | string uuid |
projectId | path | Yes | string uuid |
Request body
| JSON field | Required | Type / notes |
|---|---|---|
name | No | string: aws credentials name |
description | No | string: aws credentials description |
apiKey | No | string: api key on aws |
secretKey | No | string: secret key on aws |
expirationDate | No | string date: expiration date of the aws credentials |
Response
Successful response: 200. ok Response schema: object.